#include "defines.h"
#include <iocslib.h>
#include <stdio.h>
#include "aiggraph.h"

int pcg_to_graph()
/* ＰＣＧ取り込み */
{
unsint *palad=(unsint *)0xe82200,c,cch[16*16];
unchar ch[16*16];
int wi,i,x,y;
	c=B_WPEEK((unsint *)0xeb0808);
	wi=128; /* １２８は必ず定義できる */
	if (!(c&BIT0)) wi+=64; /* BG0が表示されない */
	if (!(c&BIT3)) wi+=64; /* BG1が表示されない */
	for (i=0;i<wi;i++){
		sp_pat(i,ch,1); /* 16*16の大きさで読み出す */
		/* 色特定（１６／２５６色 <- ６５５３６色）*/
		for (y=0;y<16;y++) {
			for (x=0;x<16;x++) {
				/* 全てパレットブロック１を利用と仮定 */
				cch[y*16+x]=B_WPEEK(palad+16+ch[y*16+x]);
			}
		}
		y=(i/16)*16;
		x=(i%16)*16;
		gr64k(cch,x,y,16,16);
	}
	return(wi);
}
